package com.ruoyi.web.work.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.common.core.domain.entity.SysUser;
import com.ruoyi.web.work.domain.User;
import com.ruoyi.web.work.domain.vo.ExpertVoList;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @author lsw
 * @date 2024-07-16
 */
public interface UserMapper extends BaseMapper<User> {
    List<User> selectList(User user);

    User selectByOpenId(@Param("openId") String openId);

    Map<String, Object> statistics(SysUser sysUser);

    User selectUser(User user);

    List<ExpertVoList>selectExpert();
}
